List GPU images
curl --request GET \
--url https://api.gcore.com/cloud/v1/ai/images/gpu/{project_id}/{region_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/cloud/v1/ai/images/gpu/{project_id}/{region_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v1/ai/images/gpu/{project_id}/{region_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"results": [
{
"created_at": "2024-05-05T14:51:26.570866",
"creator_task_id": "b10dd116-07f5-4225-abb7-f42da5cb78fb",
"currency_code": "USD",
"description": "string",
"disk_format": "raw",
"display_order": 2010,
"gpu_driver": "nvidia",
"gpu_driver_type": "open",
"gpu_driver_version": "570.148.08",
"hw_firmware_type": "bios",
"hw_machine_type": "q35",
"id": "44e136a7-15c1-4b5f-a086-20b7b3237d40",
"is_baremetal": false,
"min_disk": 3,
"min_ram": 0,
"name": "ubuntu-20.10-x64",
"os_distro": "ubuntu",
"os_version": "20.10",
"price_per_hour": 1,
"price_per_month": 720,
"price_status": "show",
"project_id": 1337,
"region": "Luxembourg 1",
"region_id": 7,
"size": 2361393152,
"ssh_key": "allow",
"status": "active",
"tags_v2": [
{
"key": "my-tag",
"read_only": false,
"value": "my-tag-value"
}
],
"task_id": null,
"updated_at": "2024-05-05T14:51:26.570866",
"visibility": "public",
"sdk_version": "3.0.0",
"vipu_version": "1.16.0"
}
]
}GPU Bare Metal
List GPU images
deprecated
Retrieve a list of images available for GPU clusters.
Please use the /v3/gpu/baremetal/{project_id}/{region_id}/images endpoint instead.
GET
/
cloud
/
v1
/
ai
/
images
/
gpu
/
{project_id}
/
{region_id}
List GPU images
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Query Parameters
Any value to show private images
Search only public, shared or private images
Was this page helpful?
⌘I